import { BaseApi } from '../../base/base-api';
export declare class DrupalApi extends BaseApi {
    cache: boolean;
    collections: {};
    entities: {};
    language: string;
    nodes: {};
    resources: any;
    views: {};
    constructor();
    post(path: any, object: any): Promise<void>;
    patch(path: any, id: any, object: any): Promise<void>;
    delete(path: any, id: any): Promise<void>;
    getResourcesIndex(jsonapi_endpoint?: string, language?: string): Promise<void>;
    getCollection(collectionId: string, params?: any, getRelationships?: boolean): Promise<any>;
    getCollections(collectionIds: any[], params?: any, getRelationships?: boolean): Promise<void>;
    getAllCollections(getRelationships?: boolean, exclude?: any[]): Promise<void>;
    getResource(url: string, params?: any): Promise<any>;
    getResources(urls: any[]): Promise<void>;
    getEntityRelationships(entity: any): Promise<any>;
    getNode(id: any, type?: string): Promise<any>;
    getNodes(ids: any[]): Promise<void>;
    saveNode(node: any): Promise<void>;
    deleteNode(node: any): Promise<void>;
    getById(entity_id: string): {
        data: any;
    };
    getByNodeId(nid: any): Promise<{
        data: any;
    }>;
}
